{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Allot HODs
{% endblock %}

{% block rightPane %}
    {% if perms.accounts.can_allot_hod %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-user"></i>
                    Allot HOD
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="row">
                    <form method="POST" class="form-horizontal">{% csrf_token %}
                        <ul class="nav nav-tabs bar_tabs col-sm-12 col-xs-12 col-md-12">
                            {% for department in departmentList %}
                                <li {% if departmentInstance.pk == department.pk %}class="active" {% else %}
                                    class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ department.pk }}
                                               data-toggle="tab" name="departmentTab">
                                        {{ department.acronym }}
                                    </a>
                                </li>
                            {% endfor %}
                        </ul>
                    </form>
                    <div class="tab-content">
                        <br>
                        {% if staffList %}
                            <form id="demo-form" class="form-horizontal" method="POST">{% csrf_token %}
                                <input type="hidden" name="hiddenDepartmentPk" value="{{ departmentInstance.pk }}">
                                <div class="alert alert-success" role="alert" align="center">
                                    <h4><strong>Department of {{ departmentInstance }}</strong></h4>
                                </div>
                                <div class="form-group">
                                    <div align="center">
                                        <h4>Current HOD &nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
                                            <select class="selectpicker" name="hodStaffPk"
                                                    data-live-search="true"
                                                    data-width="auto" required>
                                                <option disabled selected> Choose HOD</option>
                                                {% for staff in staffList %}
                                                    {% if currentHod.staff.pk == staff.pk %}
                                                        <option value="{{ staff.pk }}"
                                                                data-subtext="{{ staff.designation }}" selected>
                                                            {{ staff }}
                                                        </option>
                                                    {% else %}
                                                        <option value="{{ staff.pk }}"
                                                                data-subtext="{{ staff.designation }}">
                                                            {{ staff }}
                                                        </option>
                                                    {% endif %}
                                                {% endfor %}
                                            </select>
                                        </h4>
                                    </div>
                                </div>
                                <div align="center">
                                    <input type="submit" class="save btn btn-lg btn-success" name="assign"
                                           value="Update">
                                </div>
                            </form>
                        {% else %}
                            <div class="x_content">
                                <div class="alert alert-danger" role="alert" align="center">
                                    <h4 style="font-size: 18px"> No Staffs under {{ departmentInstance }}
                                        department </h4>
                                </div>
                            </div>
                        {% endif %}
                        <br>
                        <br>
                        {% if currentHod %}
                            <div align="center">
                                <h4>Profile Picture:</h4><br>
                                {% load static %}
                                {% get_media_prefix as MEDIA_ROOT %}
                                {% if currentHod.staff.gender == "M" %}
                                    <img src={% if currentHod.staff.avatar %}
                                        {{ MEDIA_ROOT }}{{ currentHod.staff.avatar }}
                                    {% else %}
                                        "{{ MEDIA_ROOT }}/images/male.png"
                                    {% endif %}
                                         alt="No image" height="250px"
                                         width="250px"><br/>
                                {% endif %}
                                {% if currentHod.staff.gender == "F" %}
                                    <img src={% if currentHod.staff.avatar %}
                                        {{ MEDIA_ROOT }}{{ currentHod.staff.staff.avatar }}
                                    {% else %}
                                        "{{ MEDIA_ROOT }}/images/female.png"
                                    {% endif %}
                                         height="250px" width="250px"><br/>
                                {% endif %}
                                <br>
                                <br>
                                <br>
                                <br>
                            </div>
                        {% endif %}

                    </div>
                </div>
            </div>
            <br>
        </div>
    {% endif %}

    <form id="dummyForm" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="departmentTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'departmentPk'});
                $hiddenInput.appendTo('form');

                $('#dummyForm').submit();

            });
        });
    </script>

{% endblock %}